# Uses of Class
org.springframework.web.util.UrlPathHelper

Packages that use UrlPathHelper
Package
Description
org.springframework.web.accept
This package contains classes used to determine the requested the media types in a request.
org.springframework.web.cors
Support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of UrlPathHelper in org.springframework.web.accept

Methods in org.springframework.web.accept with parameters of type UrlPathHelper
Modifier and Type
Method
Description
`void`
PathExtensionContentNegotiationStrategy.`setUrlPathHelper(UrlPathHelper urlPathHelper)`
Deprecated.
Configure a `UrlPathHelper` to use in `PathExtensionContentNegotiationStrategy.getMediaTypeKey(org.springframework.web.context.request.NativeWebRequest)` in order to derive the lookup path for a target request URL path.

## Uses of UrlPathHelper in org.springframework.web.cors

Methods in org.springframework.web.cors with parameters of type UrlPathHelper
Modifier and Type
Method
Description
`void`
UrlBasedCorsConfigurationSource.`setUrlPathHelper(UrlPathHelper urlPathHelper)`
Configure the `UrlPathHelper` to resolve the lookupPath.

## Uses of UrlPathHelper in org.springframework.web.util

Fields in org.springframework.web.util declared as UrlPathHelper
Modifier and Type
Field
Description
`static final UrlPathHelper`
UrlPathHelper.`defaultInstance`
Shared, read-only instance with defaults.
`static final UrlPathHelper`
UrlPathHelper.`rawPathInstance`
Shared, read-only instance for the full, encoded path.